curl --request GET \
--url https://api.eqho.ai/v1/simulation/run/{run_id} \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>'import requests
url = "https://api.eqho.ai/v1/simulation/run/{run_id}"
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>', 'x-org-id': '<api-key>'}};
fetch('https://api.eqho.ai/v1/simulation/run/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/simulation/run/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"account_id": "<string>",
"agent_id": "<string>",
"simulation_results_id": "<string>",
"scenario_id": "<string>",
"max_steps": 123,
"max_errors": 123,
"trial": 1,
"simulated_lead_llm_args": {
"ai_model": "<string>",
"frequency_penalty": 123,
"max_tokens": 123,
"presence_penalty": 123,
"temperature": 123,
"reasoning": "none"
},
"scenario_set_id": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_in_seconds": 123,
"termination_reason": "user_stop",
"agent_cost": 123,
"user_cost": 123,
"reward_info": {
"reward": 123,
"action_checks": [
{
"action": {
"tool_call_id": "<string>",
"name": "<string>",
"arguments": {},
"requestor": "assistant",
"info": "<string>",
"compare_args": [
"<string>"
]
},
"action_match": true,
"action_reward": 123
}
],
"nl_assertions": [
{
"nl_assertion": "<string>",
"met": true,
"justification": "<string>"
}
],
"reward_breakdown": {},
"info": {}
},
"messages": [
{
"content": "<string>",
"role": "system",
"turn_idx": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
],
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Show Simulation Runs
Get a specific simulation run by ID
curl --request GET \
--url https://api.eqho.ai/v1/simulation/run/{run_id} \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>'import requests
url = "https://api.eqho.ai/v1/simulation/run/{run_id}"
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>', 'x-org-id': '<api-key>'}};
fetch('https://api.eqho.ai/v1/simulation/run/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/simulation/run/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"account_id": "<string>",
"agent_id": "<string>",
"simulation_results_id": "<string>",
"scenario_id": "<string>",
"max_steps": 123,
"max_errors": 123,
"trial": 1,
"simulated_lead_llm_args": {
"ai_model": "<string>",
"frequency_penalty": 123,
"max_tokens": 123,
"presence_penalty": 123,
"temperature": 123,
"reasoning": "none"
},
"scenario_set_id": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_in_seconds": 123,
"termination_reason": "user_stop",
"agent_cost": 123,
"user_cost": 123,
"reward_info": {
"reward": 123,
"action_checks": [
{
"action": {
"tool_call_id": "<string>",
"name": "<string>",
"arguments": {},
"requestor": "assistant",
"info": "<string>",
"compare_args": [
"<string>"
]
},
"action_match": true,
"action_reward": 123
}
],
"nl_assertions": [
{
"nl_assertion": "<string>",
"met": true,
"justification": "<string>"
}
],
"reward_breakdown": {},
"info": {}
},
"messages": [
{
"content": "<string>",
"role": "system",
"turn_idx": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
],
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Your API key for authentication.
Org impersonation via x-org-id. Superadmins may impersonate any org; admins may impersonate their direct sub-organizations. Enter the target organization ID to act as that org.
Path Parameters
24Response
Successful Response
Account ID that owns this simulation run
ID of the Agent being simulated
ID of the parent simulation results
ID of the Simulation Scenario being run
The maximum number of steps.
The maximum number of errors.
Trial number for this scenario (1 to num_trials).
LLM configuration for the simulated user.
Show child attributes
Show child attributes
ID of the Scenario Set the scenario belongs to
Current status of the simulation run
pending, running, completed When this run record was created (UTC)
The start time of the simulation. None if still PENDING.
The end time of the simulation. None if not yet COMPLETED.
The duration of the simulation run.
The reason for the termination of the simulation.
user_stop, agent_stop, max_steps, too_many_tool_errors, cancelled, execution_error The cost of the agent.
The cost of the user.
The reward received by the agent.
Show child attributes
Show child attributes
Complete simulation transcript
A system message.
- SystemMessage
- AssistantMessage
- UserMessage
- ToolMessage
Show child attributes
Show child attributes
Error message if the simulation failed.
Was this page helpful?